Page:  1  2  ()
DiscussionStarted byRepliesLast post
Dramatic Changes being Planned for Development in our Suburbs Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 11 Oct 2018, 06:41 AM
There is an election coming & we have an Annual General Meeting Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 30 Aug 2018, 06:19 AM
WAKE UP AUSTRALIA Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 9 Aug 2018, 04:27 AM
New Planning Laws to Save Our Suburbs. Picture of Jack Roach Jack Roach 0 Jack Roach
Mon, 18 Jun 2018, 04:04 AM
The Election and Our Problems with Plan Melbourne Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 5 Jun 2018, 12:24 AM
AUSTRALIA'S HIGH MIGRATION IS HIDING OUR ECONOMIC DECLINE. Picture of Jack Roach Jack Roach 0 Jack Roach
Sat, 28 Apr 2018, 03:59 AM
FUTURE MELBOURNE AT 8 MILLION Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 8 Apr 2018, 02:22 AM
Restore Residents' Rights Rally on the steps of Parliament. Picture of Jack Roach Jack Roach 0 Jack Roach
Wed, 14 Mar 2018, 04:19 AM
Population Growth Picture of Jack Roach Jack Roach 0 Jack Roach
Wed, 14 Mar 2018, 03:35 AM
WANT TO BECOME A MEMBER OF BRAG? Picture of Jack Roach Jack Roach 0 Jack Roach
Wed, 7 Mar 2018, 04:29 AM
ARE OUR GOVERNMENTS REALLY IN CHARGE ? Picture of Jack Roach Jack Roach 0 Jack Roach
Mon, 12 Feb 2018, 03:54 AM
GST V GST"PER CAPITA" & POPULATION GROWTH. Picture of Jack Roach Jack Roach 0 Jack Roach
Mon, 15 Jan 2018, 03:50 AM
"RESIDENTS' BILL OF RIGHTS" (RBR) Picture of Jack Roach Jack Roach 0 Jack Roach
Mon, 28 Aug 2017, 02:04 AM
HIGH IMMIGRATIONMASKS AUSTRALIAN ECONOMIC DECLIN E Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 30 May 2017, 03:40 AM
PROTEST RALLY AGAINST PLAN MELBOURNE 2017-2050 Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 30 May 2017, 03:34 AM
PLAN MELBOURNE 2017 - 2050 Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 16 May 2017, 03:11 AM
POLITICAL DONATIONS -JUST A ANOTHER FORM OF CORRUPTION? Picture of Jack Roach Jack Roach 0 Jack Roach
Wed, 11 Jan 2017, 11:41 PM
MARKHAM ESTATE DISASTER Picture of Jack Roach Jack Roach 0 Jack Roach
Fri, 25 Nov 2016, 03:41 AM
OUR 'MAD AS HELL' FORUM A GREAT SUCCESS Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 5 Jul 2016, 07:15 AM
DEVELOPMENT AND YOU Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 19 Jan 2016, 06:20 AM
CONCERNED ABOUT DEVELOPMENT NEAR YOU? Picture of Jack Roach Jack Roach 0 Jack Roach
Mon, 30 Nov 2015, 12:29 AM
PLAN MELBOURNE REFRESH Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 10 Nov 2015, 06:42 AM
McMANSIONS & FOREIGN INVESTORS Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 17 Sep 2015, 05:31 AM
INTENSIFYING MELBOURNE Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 1 Feb 2015, 03:13 AM
Australia's Immigration Intakes 2000 - 2014 Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 1 Feb 2015, 03:10 AM
AT LAST, REFORMED ZONES APPROVED FOR BOROONDARA Picture of Jack Roach Jack Roach 0 Jack Roach
Mon, 14 Jul 2014, 04:41 AM
Update on the additional Growth Zones Hearing. Picture of Jack Roach Jack Roach 0 Jack Roach
Sat, 10 May 2014, 03:23 AM
Alert - Changes to Boroondara's Residential Zones - More Growth Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 4 May 2014, 11:16 PM
Suggestions for submissions to the Growth Zones Advisory Committee Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 6 Apr 2014, 12:18 AM
More on Plan Melbourne and the New Residential Zones Picture of Jack Roach Jack Roach 0 Jack Roach
Sat, 1 Feb 2014, 12:39 AM
PLANMELBOURNE, BRAG's SUBMISSION Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 17 Dec 2013, 04:42 AM
More on the New Residential Zones Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 17 Dec 2013, 04:40 AM
PLANMELBOURNE Picture of Jack Roach Jack Roach 0 Jack Roach
Fri, 18 Oct 2013, 06:29 AM
New Residential Zones Approved for Boroondara Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 17 Sep 2013, 11:52 PM
Unsellable apartments in Melbourne. Picture of Jack Roach Jack Roach 0 Jack Roach
Mon, 19 Aug 2013, 03:28 AM
Melbourne's Housing Stock - Boom or Bust Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 28 Jul 2013, 06:05 AM
ABC Reports Large Scale Fraud of Australia's Visa System. Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 23 Jul 2013, 03:13 AM
Asian Financed Developers Build Poor Quality Apartment Towers. Picture of Jack Roach Jack Roach 0 Jack Roach
Fri, 5 Jul 2013, 05:10 AM
New Residential Zones Announced. Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 4 Jul 2013, 12:48 AM
Reformed Residential Zones for Victoria. Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 4 Jul 2013, 12:46 AM
Record Population Growth 23 Million & Counting Picture of Jack Roach Jack Roach 0 Jack Roach
Sat, 18 May 2013, 07:32 AM
BRAG's Activity Centres Submission to Boroondara Council Picture of Jack Roach Jack Roach 0 Jack Roach
Wed, 8 May 2013, 03:37 AM
Boroondara Council's Activity Centres Strategy Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 9 Apr 2013, 03:04 AM
SELLING OFF THE FARM Picture of Jack Roach Jack Roach 0 Jack Roach
Mon, 4 Feb 2013, 03:14 AM
BOROONDARA NEIGHBOURHOOD CHARACTER STUDY STUDY Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 10 Jun 2012, 03:42 AM
New Planning Strategy for Melbourne Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 13 May 2012, 03:43 AM
Victorian Planning System Review Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 13 May 2012, 12:05 AM
Camberwell Market Car Park Under Threat - Again Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 15 Mar 2012, 12:39 AM
Australia's Housing Market is Oversupplied Picture of Jack Roach Jack Roach 0 Jack Roach
Sat, 19 Nov 2011, 11:54 PM
Lets Get the Facts Right Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 17 Nov 2011, 11:47 PM
Draft Activity Centres -Report on 30th May Planning Committee Meeting Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 31 May 2011, 02:03 AM
Report on Meeting with Urban Planning Special Committee Picture of Jack Roach Jack Roach 0 Jack Roach
Wed, 13 Apr 2011, 12:54 AM
Summary of Presentation to Urban Planning Special Committee Picture of Jack Roach Jack Roach 0 Jack Roach
Wed, 13 Apr 2011, 12:45 AM
ACTIVITY CENTRES STRATEGY PRESENTATION TO URBAN PLANNING SPECIAL COMMITTEE Picture of Stephen Digby Stephen Digby 0 Stephen Digby
Wed, 13 Apr 2011, 12:37 AM
Why the Brumby government was thrown out. Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 12 Dec 2010, 10:35 PM
Smoke & Mirrors &Spin Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 9 Dec 2010, 06:23 AM
POPULATION. MESSAGE RECIEVED. Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 9 Dec 2010, 06:22 AM
MADDEN & THE CONSULTATION PROCESS. Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 11 Nov 2010, 12:53 AM
Our Leafy Suburbs Under Attack. Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 24 Oct 2010, 11:59 PM
Anti-corruption Commission in Victoria is a dog's dinner Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 27 Jun 2010, 01:15 AM
BEHIND CLOSED DOORS PLANNING. Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 8 Jun 2010, 01:13 AM
Australians Want Immigration Capped Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 16 Mar 2010, 03:35 AM
Property Council of Australia Wants Politics Out of Planning ! Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 4 Mar 2010, 12:53 AM
Skilled Migrant Intake Cut by 20,000 Picture of Jack Roach Jack Roach 0 Jack Roach
Mon, 8 Feb 2010, 12:29 AM
POPULATION GROWTH IS THE ELEPHANT IN THE ROOM Picture of Jack Roach Jack Roach 0 Jack Roach
Fri, 29 Jan 2010, 02:55 AM
Planning Minister Justin Madden's flip flop Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 17 Jan 2010, 12:09 AM
Rudd Contradicts Treasury on Population Growth Picture of Jack Roach Jack Roach 0 Jack Roach
Wed, 25 Nov 2009, 01:21 AM
Population Growth Out of Control Picture of Jack Roach Jack Roach 0 Jack Roach
Wed, 25 Nov 2009, 01:18 AM
New Planning Bill to Further Empower Madden Picture of Jack Roach Jack Roach 0 Jack Roach
Mon, 12 Oct 2009, 05:06 AM
Boroondara Library in the Camberwell Staion Development? Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 1 Oct 2009, 01:43 AM
Review of Victoria's Planning Act Picture of Jack Roach Jack Roach 0 Jack Roach
Mon, 21 Sep 2009, 12:43 AM
Migration Targets Need to Be Reviewed Picture of Jack Roach Jack Roach 0 Jack Roach
Sat, 5 Sep 2009, 05:14 AM
MEMBERSHIP IS OUR STRENGTH Picture of Jack Roach Jack Roach 0 Jack Roach
Mon, 20 Jul 2009, 02:21 AM
VCAT Approves Camberwell Station Development Picture of Jack Roach Jack Roach 0 Jack Roach
Fri, 10 Jul 2009, 04:49 AM
COUNCILLORS REACT TO BRUMBY PLAN Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 16 Jun 2009, 12:33 AM
The role of VCAT in a changing world Picture of Stephen Digby Stephen Digby 0 Stephen Digby
Tue, 26 May 2009, 12:03 AM
Latest Views of Camberwell Station Picture of Stephen Digby Stephen Digby 0 Stephen Digby
Thu, 30 Apr 2009, 11:25 PM
Camberwell Station High Rise - Picture of Admin User Admin User 0 Admin User
Thu, 30 Apr 2009, 01:47 AM
RED ALERT re NEW RESIDENTIAL ZONES Picture of Stephen Digby Stephen Digby 0 Stephen Digby
Fri, 27 Mar 2009, 05:00 AM
We get rolled by VCAT on Sofia's. Picture of Jack Roach Jack Roach 0 Jack Roach
Fri, 27 Mar 2009, 04:58 AM
NEW MOVES TO CHANGE THIS DEVELOPMENT Picture of Admin User Admin User 0 Admin User
Tue, 24 Mar 2009, 01:32 AM
Government Take-over of Camberwell Picture of Jack Roach Jack Roach 0 Jack Roach
Fri, 20 Feb 2009, 07:53 PM
Latest on Camberwell Station Development. Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 1 Feb 2009, 07:36 PM
Camberwell Station - Commmunity Information Leaflet Picture of Admin User Admin User 0 Admin User
Sat, 31 Jan 2009, 07:19 PM
Update on Camberwell Station Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 18 Jan 2009, 02:46 PM
Government Does an About-turn on Melbourne 2030 Picture of Jack Roach Jack Roach 0 Jack Roach
Wed, 3 Dec 2008, 09:38 PM
People Power Won the Day Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 4 Nov 2008, 07:06 PM
Cranbourne Methane Gas Leak and VCAT Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 30 Oct 2008, 08:20 PM
Camberwell Station Development Increased to 8 Storeys Picture of Jack Roach Jack Roach 0 Jack Roach
Sat, 18 Oct 2008, 05:43 PM
question: Is a green strip around the Well out of the question? Picture of R Deighton R Deighton 0 R Deighton
Sun, 12 Oct 2008, 05:27 PM
Elections and Planning Issues Picture of Jack Roach Jack Roach 0 Jack Roach
Mon, 22 Sep 2008, 04:42 PM
Corruption. Picture of Jack Roach Jack Roach 0 Jack Roach
Sun, 31 Aug 2008, 06:24 PM
Soaring trends unsettle Camberwell Picture of Admin User Admin User 0 Admin User
Fri, 15 Aug 2008, 03:10 AM
The Race for Growth Picture of Jack Roach Jack Roach 0 Jack Roach
Tue, 5 Aug 2008, 05:01 PM
Say No to Clearway Extensions Picture of Admin User Admin User 0 Admin User
Wed, 30 Jul 2008, 02:01 AM
VCAT decision on 19-23 Cookson St, Proposal. Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 24 Jul 2008, 09:23 PM
November Council Elections Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 24 Jul 2008, 08:32 PM
SOFIA PALACE Picture of Jack Roach Jack Roach 0 Jack Roach
Thu, 24 Jul 2008, 05:29 PM
The Planning Public Protest Meeting Picture of Admin User Admin User 0 Admin User
Sat, 19 Jul 2008, 12:13 AM
BRUMBY STRIPS RESIDENTS OF OUR PLANNING RIGHTS Picture of Admin User Admin User 0 Admin User
Sat, 19 Jul 2008, 12:13 AM
Page:  1  2  ()